Index: /trunk/template/cclear/category.tpl
===================================================================
--- /trunk/template/cclear/category.tpl	(revision 844)
+++ /trunk/template/cclear/category.tpl	(revision 845)
@@ -95,6 +95,7 @@
   <div class="titrePage">
     <ul class="categoryActions">
+      <li>&nbsp;</li>
       <!-- BEGIN caddie -->
-      <li><a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/default/theme/caddie_add.png" /></a></li>
+      <li><a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/default/theme/caddie_add.png" alt="{lang:caddie}"/></a></li>
       <!-- END caddie -->
       <!-- BEGIN edit -->
@@ -113,24 +114,26 @@
   <!-- BEGIN line -->
   <!-- BEGIN thumbnail -->
-  <li><span>
-    <a href="{thumbnails.line.thumbnail.U_IMG_LINK}">
-      <img class="thumbnail" src="{thumbnails.line.thumbnail.IMAGE}"
-	   alt="{thumbnails.line.thumbnail.IMAGE_ALT}"
-	   title="{thumbnails.line.thumbnail.IMAGE_TITLE}">
-    </a>
-      <!-- BEGIN element_name -->
-      <p>
-	<span class="thumb_picture">{thumbnails.line.thumbnail.element_name.NAME}</span>
+  <li class="thumbnails">
+    <div>
+        <a href="{thumbnails.line.thumbnail.U_IMG_LINK}">
+          <img class="thumbnail" src="{thumbnails.line.thumbnail.IMAGE}"
+	  alt="{thumbnails.line.thumbnail.IMAGE_ALT}"
+	  title="{thumbnails.line.thumbnail.IMAGE_TITLE}">
+        </a>
+      <ul>
+      <li>
+	<!-- BEGIN element_name -->
+	{thumbnails.line.thumbnail.element_name.NAME}
 	<!-- END element_name -->
 	<!-- BEGIN category_name -->
-	<span class="thumb_category">[{thumbnails.line.thumbnail.category_name.NAME}]</span>
+	[{thumbnails.line.thumbnail.category_name.NAME}]
 	<!-- END category_name -->
 	{thumbnails.line.thumbnail.IMAGE_TS}
-      </p>
-    <!-- BEGIN nb_comments -->
-    <br />
-    {thumbnails.line.thumbnail.nb_comments.NB_COMMENTS} {L_COMMENT}
-    <!-- END nb_comments -->
-  </span></li>
+      </li>
+      <!-- BEGIN nb_comments -->
+      <li>{thumbnails.line.thumbnail.nb_comments.NB_COMMENTS} {L_COMMENT} </li>
+      <!-- END nb_comments -->
+     </div>
+  </li>
   <!-- END thumbnail -->
   <!-- END line -->
Index: /trunk/template/cclear/content.css
===================================================================
--- /trunk/template/cclear/content.css	(revision 844)
+++ /trunk/template/cclear/content.css	(revision 845)
@@ -17,28 +17,48 @@
     margin: 0; padding: 0;
     list-style-type: none;
-    /*text-align: center;  eventuellement */
+    text-align: center;  /*eventuellement */
 }
 
-#content UL.thumbnails LI {
+#content LI.thumbnails {
 	display: inline;
-	/*text-align: center; */
 	padding: 0; text-indent: 0;
 	margin: 0 10px 10px 10px;
 }
+#content UL.thumbnails UL {
+	margin: 0; padding: 0; text-indent: 0;
+	list-style-type: none;
+}
 #content UL.thumbnails UL LI {
-	dislplay: list-item;
+	text-align: center; 
 }
+#content UL.thumbnails div {
+	margin: 0;
+    	vertical-align: top;   /*geko doesn't eat that :-(*/
+	text-align: center; 
+    	width: 128px;
+}
+/* IE block level element inline-block hack */
+* html #content UL.thumbnails div {display:inline-block;}
+* html #content UL.thumbnails div {display:inline;}
+/* end of IE hack*/
+/* for non-IE */
+#content UL.thumbnails li>div {display:table-cell;display:inline-table;}
 
-#content UL.thumbnails SPAN {
-	margin: 0;
-    	/*margin: 0 10px 10px 10px;*/
-    	vertical-align: top;
-    	width: 128px;
-    	display:table-cell;   /* for geko */
-	display:inline-table; /* for ??? (ask yoDan) */
-	display:inline-block; /* for IE */
-	text-align: center;    for IE */
-border: 1px solid yellow;
+/* Geko hack to get thumbnails top aligned*/
+/* not proud of that still looking for a better one */
+#content UL.thumbnails li>div {height:150px;}
+/* endof Geko hack*/
+
+/* align top with geko */
+/*#content UL.thumbnails li>div>div {
+	display: block;
+	position: relative;
+	height:128px;
 }
+#content UL.thumbnails li>div>div>a { position: absolute; top: 0; }
+#content UL.thumbnails li>div img.thumbnail { position: relative; left: -50%; }
+#content UL.thumbnails li>div ul {position: absolute; bottom: 0;}
+doesn't work :-((*/
+
 /*#content UL.thumbnails LI>SPAN { vertical-align: baseline; }*/
 #content UL.thumbnails LI IMG.thumbnail { margin-bottom: .4ex; }
@@ -46,7 +66,5 @@
 #content UL.thumbnails IMG.thumbnail { border: 1px solid #000000; }
 
-#content UL.thumbnails SPAN A:first-child { border: none }
-
-
+/*#content UL.thumbnails SPAN A:first-child { border: none }*/
 
 