Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 859)
+++ /trunk/install.php	(revision 860)
@@ -156,6 +156,4 @@
 
 //----------------------------------------------------- variable initialization
-$install_style = 'default';
-
 // Obtain various vars
 $dbhost = (!empty($_POST['dbhost'])) ? $_POST['dbhost'] : 'localhost';
@@ -210,5 +208,5 @@
 include( './language/'.$language.'/install.lang.php' );
 //----------------------------------------------------- template initialization
-$template=setup_style($install_style);
+$template=setup_style('yoga');
 $template->set_filenames( array('install'=>'install.tpl') );
 $step = 1;
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 859)
+++ /trunk/install/config.sql	(revision 860)
@@ -2,5 +2,5 @@
 
 INSERT INTO phpwebgallery_config (param,value,comment) VALUES ('default_language','en_UK.iso-8859-1','Default gallery language');
-INSERT INTO phpwebgallery_config (param,value,comment) VALUES ('default_template','default','Default gallery style');
+INSERT INTO phpwebgallery_config (param,value,comment) VALUES ('default_template','yoga','Default gallery style');
 INSERT INTO phpwebgallery_config (param,value,comment) VALUES ('default_maxwidth','','maximum width authorized for displaying images');
 INSERT INTO phpwebgallery_config (param,value,comment) VALUES ('default_maxheight','','maximum height authorized for the displaying images');
Index: /trunk/install/phpwebgallery_structure.sql
===================================================================
--- /trunk/install/phpwebgallery_structure.sql	(revision 859)
+++ /trunk/install/phpwebgallery_structure.sql	(revision 860)
@@ -263,5 +263,5 @@
   `show_nb_comments` enum('true','false') NOT NULL default 'false',
   `recent_period` tinyint(3) unsigned NOT NULL default '7',
-  `template` varchar(255) NOT NULL default 'default',
+  `template` varchar(255) NOT NULL default 'yoga',
   `registration_date` datetime NOT NULL default '0000-00-00 00:00:00',
   UNIQUE KEY `user_infos_ui1` (`user_id`)
Index: /trunk/template/yoga/admin/cat_list.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_list.tpl	(revision 859)
+++ /trunk/template/yoga/admin/cat_list.tpl	(revision 860)
@@ -12,15 +12,15 @@
 
       <ul class="categoryActions">
-        <li><a href="{category.U_JUMPTO}" title="{lang:jump to category}"><img src="./template/default/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li> 
-        <li><a href="{category.U_EDIT}" title="{lang:edit category informations}"><img src="./template/default/theme/category_edit.png" alt="{lang:edit}"/></a></li>
+        <li><a href="{category.U_JUMPTO}" title="{lang:jump to category}"><img src="./template/yoga/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li> 
+        <li><a href="{category.U_EDIT}" title="{lang:edit category informations}"><img src="./template/yoga/theme/category_edit.png" alt="{lang:edit}"/></a></li>
         <!-- BEGIN elements -->
-        <li><a href="{category.elements.URL}" title="{lang:manage category elements}"><img src="./template/default/theme/category_elements.png" alt="{lang:elements}" /></a></li>
+        <li><a href="{category.elements.URL}" title="{lang:manage category elements}"><img src="./template/yoga/theme/category_elements.png" alt="{lang:elements}" /></a></li>
         <!-- END elements -->
-        <li><a href="{category.U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/default/theme/category_children.png" alt="{lang:sub-categories}" /></a></li> 
+        <li><a href="{category.U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/yoga/theme/category_children.png" alt="{lang:sub-categories}" /></a></li> 
         <!-- BEGIN permissions -->
-        <li><a href="{category.permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/default/theme/category_permissions.png" alt="{lang:permissions}" /></a></li>
+        <li><a href="{category.permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/yoga/theme/category_permissions.png" alt="{lang:permissions}" /></a></li>
         <!-- END permissions -->
         <!-- BEGIN delete -->
-        <li><a href="{category.delete.URL}" title="{lang:delete category}"><img src="./template/default/theme/category_delete.png" alt="{lang:delete}" /></a></li>
+        <li><a href="{category.delete.URL}" title="{lang:delete category}"><img src="./template/yoga/theme/category_delete.png" alt="{lang:delete}" /></a></li>
         <!-- END delete -->
       </ul>
Index: /trunk/template/yoga/admin/cat_modify.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_modify.tpl	(revision 859)
+++ /trunk/template/yoga/admin/cat_modify.tpl	(revision 860)
@@ -5,14 +5,14 @@
 
 <ul class="categoryActions">
-  <li><a href="{U_JUMPTO}" title="{lang:jump to category}"><img src="./template/default/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li>
+  <li><a href="{U_JUMPTO}" title="{lang:jump to category}"><img src="./template/yoga/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li>
   <!-- BEGIN elements -->
-  <li><a href="{elements.URL}" title="{lang:manage category elements}"><img src="./template/default/theme/category_elements.png" alt="{lang:elements}" /></a></li>
+  <li><a href="{elements.URL}" title="{lang:manage category elements}"><img src="./template/yoga/theme/category_elements.png" alt="{lang:elements}" /></a></li>
   <!-- END elements -->
-  <li><a href="{U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/default/theme/category_children.png" alt="{lang:sub-categories}" /></a></li>
+  <li><a href="{U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/yoga/theme/category_children.png" alt="{lang:sub-categories}" /></a></li>
   <!-- BEGIN permissions -->
-  <li><a href="{permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/default/theme/category_permissions.png" alt="{lang:permissions}" /></a></li>
+  <li><a href="{permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/yoga/theme/category_permissions.png" alt="{lang:permissions}" /></a></li>
   <!-- END permissions -->
   <!-- BEGIN delete -->
-  <li><a href="{delete.URL}" title="{lang:delete category}"><img src="./template/default/theme/category_delete.png" alt="{lang:delete}" /></a></li>
+  <li><a href="{delete.URL}" title="{lang:delete category}"><img src="./template/yoga/theme/category_delete.png" alt="{lang:delete}" /></a></li>
   <!-- END delete -->
 </ul>
@@ -114,5 +114,5 @@
 
         <!-- BEGIN random -->
-        <img src="./template/default/theme/category_representant_random.png" alt="{lang:Random picture}" class="miniature" />
+        <img src="./template/yoga/theme/category_representant_random.png" alt="{lang:Random picture}" class="miniature" />
         <!-- END random -->
       </td>
Index: /trunk/template/yoga/admin/group_list.tpl
===================================================================
--- /trunk/template/yoga/admin/group_list.tpl	(revision 859)
+++ /trunk/template/yoga/admin/group_list.tpl	(revision 860)
@@ -20,6 +20,6 @@
     <td><a href="{group.U_MEMBERS}">{group.MEMBERS}</a></td>
     <td style="text-align:center;">
-      <a href="{group.U_PERM}"><img src="./template/default/theme/permissions.png" style="border:none" alt="permissions" title="{lang:permissions}" /></a>
-      <a href="{group.U_DELETE}"><img src="./template/default/theme/delete.png" style="border:none" alt="delete" title="{lang:delete}" /></a>
+      <a href="{group.U_PERM}"><img src="./template/yoga/theme/permissions.png" style="border:none" alt="permissions" title="{lang:permissions}" /></a>
+      <a href="{group.U_DELETE}"><img src="./template/yoga/theme/delete.png" style="border:none" alt="delete" title="{lang:delete}" /></a>
     </td>
   </tr>
Index: /trunk/template/yoga/admin/picture_modify.tpl
===================================================================
--- /trunk/template/yoga/admin/picture_modify.tpl	(revision 859)
+++ /trunk/template/yoga/admin/picture_modify.tpl	(revision 860)
@@ -6,7 +6,7 @@
 <ul class="categoryActions">
   <!-- BEGIN jumpto -->
-  <li><a href="{jumpto.URL}" title="{lang:jump to image}"><img src="./template/default/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li>
+  <li><a href="{jumpto.URL}" title="{lang:jump to image}"><img src="./template/yoga/theme/category_jump-to.png" alt="{lang:jump to}" /></a></li>
   <!-- END jumpto -->
-  <li><a href="{U_SYNC}" title="{lang:synchronize metadata}"><img src="./template/default/theme/sync_metadata.png" alt="{lang:synchronize}" /></a></li>
+  <li><a href="{U_SYNC}" title="{lang:synchronize metadata}"><img src="./template/yoga/theme/sync_metadata.png" alt="{lang:synchronize}" /></a></li>
 </ul>
 
Index: /trunk/template/yoga/admin/user_list.tpl
===================================================================
--- /trunk/template/yoga/admin/user_list.tpl	(revision 859)
+++ /trunk/template/yoga/admin/user_list.tpl	(revision 860)
@@ -86,5 +86,5 @@
     <td>{user.GROUPS}</td>
     <td style="text-align:center;">
-      <a href="{user.U_PERM}"><img src="./template/default/theme/permissions.png" style="border:none" alt="{L_PERMISSIONS}" title="{L_PERMISSIONS}" /></a>
+      <a href="{user.U_PERM}"><img src="./template/yoga/theme/permissions.png" style="border:none" alt="{L_PERMISSIONS}" title="{L_PERMISSIONS}" /></a>
     </td>
   </tr>
Index: /trunk/template/yoga/category.tpl
===================================================================
--- /trunk/template/yoga/category.tpl	(revision 859)
+++ /trunk/template/yoga/category.tpl	(revision 860)
@@ -95,8 +95,8 @@
       <li>&nbsp;</li>
       <!-- BEGIN caddie -->
-      <li><a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/default/theme/caddie_add.png" alt="{lang:caddie}"/></a></li>
+      <li><a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/yoga/theme/caddie_add.png" alt="{lang:caddie}"/></a></li>
       <!-- END caddie -->
       <!-- BEGIN edit -->
-      <li><a href="{edit.URL}" title="{lang:edit category informations}"><img src="./template/default/theme/category_edit.png" alt="{lang:edit}"/></a></li>
+      <li><a href="{edit.URL}" title="{lang:edit category informations}"><img src="./template/yoga/theme/category_edit.png" alt="{lang:edit}"/></a></li>
       <!-- END edit -->
     </ul>
Index: /trunk/template/yoga/picture.tpl
===================================================================
--- /trunk/template/yoga/picture.tpl	(revision 859)
+++ /trunk/template/yoga/picture.tpl	(revision 860)
@@ -27,5 +27,5 @@
 <!-- END admin -->
 <!-- BEGIN caddie -->
-  <a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/default/theme/caddie_add.png" alt="{lang:caddie}"/></a>
+  <a href="{caddie.URL}" title="{lang:add to caddie}"><img src="./template/yoga/theme/caddie_add.png" alt="{lang:caddie}"/></a>
 <!-- END caddie -->
 </div>