Index: /trunk/admin/user_list.php
===================================================================
--- /trunk/admin/user_list.php	(revision 905)
+++ /trunk/admin/user_list.php	(revision 906)
@@ -189,4 +189,15 @@
 {
   $page['errors'] = register_user($_POST['login'], $_POST['password'], '');
+
+  if (count($page['errors']) == 0)
+  {
+    array_push(
+      $page['infos'],
+      sprintf(
+        l10n('user "%s" added'),
+        $_POST['login']
+        )
+      );
+  }
 }
 
@@ -410,5 +421,4 @@
     'L_SUBMIT'=>$lang['submit'],
     'L_STATUS'=>$lang['user_status'],
-    'L_USERNAME' => $lang['login'],
     'L_PASSWORD' => $lang['password'],
     'L_EMAIL' => $lang['mail_address'],
Index: /trunk/doc/ChangeLog
===================================================================
--- /trunk/doc/ChangeLog	(revision 905)
+++ /trunk/doc/ChangeLog	(revision 906)
@@ -1,9 +1,20 @@
+2005-10-22 Pierrick LE GALL
+
+	* bug 173 fixed: due to phpBB user identifiers management, the
+	method to find the next user identifier has changer to MAX+1.
+
+	* improvement: information message when new user added
+
+	* bug fixed: language item "Username" used instead of "login".
+	
 2005-10-20 chrisaga
 
-	* bug 176 fixed: need a javascript to handle transparent PNG background in IE
-	(tribute to Bob Osola http://homepage.ntlworld.com/bobosola/index.htm
-
-	* display: fixed another IE childselector bug in Categories Management admin page
-	and improved display of this page in all browsers too.
+	* bug 176 fixed: need a javascript to handle transparent PNG
+	background in IE (tribute to Bob Osola
+	http://homepage.ntlworld.com/bobosola/index.htm)
+
+	* display: fixed another IE childselector bug in Categories
+	Management admin page and improved display of this page in all
+	browsers too.
 
 2005-10-18 Pierrick LE GALL
Index: /trunk/include/functions_user.inc.php
===================================================================
--- /trunk/include/functions_user.inc.php	(revision 905)
+++ /trunk/include/functions_user.inc.php	(revision 906)
@@ -77,6 +77,14 @@
   if (count($errors) == 0)
   {
+    // what will be the inserted id ?
+    $query = '
+SELECT MAX('.$conf['user_fields']['id'].') + 1
+  FROM '.USERS_TABLE.'
+;';
+    list($next_id) = mysql_fetch_array(pwg_query($query));
+    
     $insert =
       array(
+        $conf['user_fields']['id'] => $next_id,
         $conf['user_fields']['username'] => mysql_escape_string($login),
         $conf['user_fields']['password'] => $conf['pass_convert']($password),
@@ -87,7 +95,7 @@
     mass_inserts(USERS_TABLE, array_keys($insert), array($insert));
     
-    create_user_infos(mysql_insert_id());
-  }
-  
+    create_user_infos($next_id);
+  }
+
   return $errors;
 }
Index: /trunk/language/en_UK.iso-8859-1/admin.lang.php
===================================================================
--- /trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 905)
+++ /trunk/language/en_UK.iso-8859-1/admin.lang.php	(revision 906)
@@ -355,4 +355,5 @@
 $lang['update_wrong_dirname_short'] = 'wrong filename';
 $lang['upload'] = 'Upload';
+$lang['user "%s" added'] = 'user "%s" added';
 $lang['user_delete'] = 'Delete user';
 $lang['user_delete_hint'] = 'Click here to delete this user. Warning! This operation cannot be undone!';
Index: /trunk/language/fr_FR.iso-8859-1/admin.lang.php
===================================================================
--- /trunk/language/fr_FR.iso-8859-1/admin.lang.php	(revision 905)
+++ /trunk/language/fr_FR.iso-8859-1/admin.lang.php	(revision 906)
@@ -353,4 +353,5 @@
 $lang['update_wrong_dirname_short'] = 'nom de fichier erroné';
 $lang['upload'] = 'Ajout';
+$lang['user "%s" added'] = 'utilisateur "%s" ajouté';
 $lang['user_delete'] = 'Supprimer utilisateur';
 $lang['user_delete_hint'] = 'Cliquer ici pour supprimer cet utilisateur. Attention :  cette opération ne peut pas être annulée !';
Index: /trunk/template/yoga/admin/user_list.tpl
===================================================================
--- /trunk/template/yoga/admin/user_list.tpl	(revision 905)
+++ /trunk/template/yoga/admin/user_list.tpl	(revision 906)
@@ -9,5 +9,5 @@
   <fieldset>
     <legend>{lang:Add a user}</legend>
-    <label>{L_USERNAME} <input type="text" name="login" maxlength="50" size="20" /></label>
+    <label>{lang:Username} <input type="text" name="login" maxlength="50" size="20" /></label>
     <label>{L_PASSWORD} <input type="text" name="password" /></label>
     <input type="submit" name="submit_add" value="{L_SUBMIT}" />
@@ -28,5 +28,5 @@
 
 
-  <label>{lang:username} <input type="text" name="username" value="{F_USERNAME}" /></label>
+  <label>{lang:Username} <input type="text" name="username" value="{F_USERNAME}" /></label>
 
   <label>
@@ -77,5 +77,5 @@
   <tr class="throw">
     <th>&nbsp;</th>
-    <th>{L_USERNAME}</th>
+    <th>{lang:Username}</th>
     <th>{L_STATUS}</th>
     <th>{L_EMAIL}</th>