Index: /trunk/template/yoga/admin/cat_list.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_list.tpl	(revision 979)
+++ /trunk/template/yoga/admin/cat_list.tpl	(revision 980)
@@ -12,15 +12,15 @@
 
       <ul class="categoryActions">
-        <li><a href="{category.U_JUMPTO}" title="{lang:jump to category}"><img src="./template/yoga/theme/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li> 
-        <li><a href="{category.U_EDIT}" title="{lang:edit category informations}"><img src="./template/yoga/theme/category_edit.png" class="button" alt="{lang:edit}"/></a></li>
+        <li><a href="{category.U_JUMPTO}" title="{lang:jump to category}"><img src="{themeconf:icon_dir}/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li> 
+        <li><a href="{category.U_EDIT}" title="{lang:edit category informations}"><img src="{themeconf:icon_dir}/category_edit.png" class="button" alt="{lang:edit}"/></a></li>
         <!-- BEGIN elements -->
-        <li><a href="{category.elements.URL}" title="{lang:manage category elements}"><img src="./template/yoga/theme/category_elements.png" class="button" alt="{lang:elements}" /></a></li>
+        <li><a href="{category.elements.URL}" title="{lang:manage category elements}"><img src="{themeconf:icon_dir}/category_elements.png" class="button" alt="{lang:elements}" /></a></li>
         <!-- END elements -->
-        <li><a href="{category.U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/yoga/theme/category_children.png" class="button" alt="{lang:sub-categories}" /></a></li> 
+        <li><a href="{category.U_CHILDREN}" title="{lang:manage sub-categories}"><img src="{themeconf:icon_dir}/category_children.png" class="button" alt="{lang:sub-categories}" /></a></li> 
         <!-- BEGIN permissions -->
-        <li><a href="{category.permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/yoga/theme/category_permissions.png" class="button" alt="{lang:permissions}" /></a></li>
+        <li><a href="{category.permissions.URL}" title="{lang:edit category permissions}" ><img src="{themeconf:icon_dir}/category_permissions.png" class="button" alt="{lang:permissions}" /></a></li>
         <!-- END permissions -->
         <!-- BEGIN delete -->
-        <li><a href="{category.delete.URL}" title="{lang:delete category}"><img src="./template/yoga/theme/category_delete.png" class="button" alt="{lang:delete}" /></a></li>
+        <li><a href="{category.delete.URL}" title="{lang:delete category}"><img src="{themeconf:icon_dir}/category_delete.png" class="button" alt="{lang:delete}" /></a></li>
         <!-- END delete -->
       </ul>
Index: /trunk/template/yoga/admin/cat_modify.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_modify.tpl	(revision 979)
+++ /trunk/template/yoga/admin/cat_modify.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_edit_cat}</h2>
@@ -10,14 +10,14 @@
 
 <ul class="categoryActions">
-  <li><a href="{U_JUMPTO}" title="{lang:jump to category}"><img src="./template/yoga/theme/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li>
+  <li><a href="{U_JUMPTO}" title="{lang:jump to category}"><img src="{themeconf:icon_dir}/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li>
   <!-- BEGIN elements -->
-  <li><a href="{elements.URL}" title="{lang:manage category elements}"><img src="./template/yoga/theme/category_elements.png" class="button" alt="{lang:elements}" /></a></li>
+  <li><a href="{elements.URL}" title="{lang:manage category elements}"><img src="{themeconf:icon_dir}/category_elements.png" class="button" alt="{lang:elements}" /></a></li>
   <!-- END elements -->
-  <li><a href="{U_CHILDREN}" title="{lang:manage sub-categories}"><img src="./template/yoga/theme/category_children.png" class="button" alt="{lang:sub-categories}" /></a></li>
+  <li><a href="{U_CHILDREN}" title="{lang:manage sub-categories}"><img src="{themeconf:icon_dir}/category_children.png" class="button" alt="{lang:sub-categories}" /></a></li>
   <!-- BEGIN permissions -->
-  <li><a href="{permissions.URL}" title="{lang:edit category permissions}" ><img src="./template/yoga/theme/category_permissions.png" class="button" alt="{lang:permissions}" /></a></li>
+  <li><a href="{permissions.URL}" title="{lang:edit category permissions}" ><img src="{themeconf:icon_dir}/category_permissions.png" class="button" alt="{lang:permissions}" /></a></li>
   <!-- END permissions -->
   <!-- BEGIN delete -->
-  <li><a href="{delete.URL}" title="{lang:delete category}"><img src="./template/yoga/theme/category_delete.png" class="button" alt="{lang:delete}" /></a></li>
+  <li><a href="{delete.URL}" title="{lang:delete category}"><img src="{themeconf:icon_dir}/category_delete.png" class="button" alt="{lang:delete}" /></a></li>
   <!-- END delete -->
 </ul>
@@ -119,5 +119,5 @@
 
         <!-- BEGIN random -->
-        <img src="./template/yoga/theme/category_representant_random.png" class="button" alt="{lang:Random picture}" class="miniature" />
+        <img src="{themeconf:icon_dir}/category_representant_random.png" class="button" alt="{lang:Random picture}" class="miniature" />
         <!-- END random -->
       </td>
Index: /trunk/template/yoga/admin/cat_move.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_move.tpl	(revision 979)
+++ /trunk/template/yoga/admin/cat_move.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:Move categories}</h2>
Index: /trunk/template/yoga/admin/cat_options.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_options.tpl	(revision 979)
+++ /trunk/template/yoga/admin/cat_options.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_cat_options}</h2>
Index: /trunk/template/yoga/admin/cat_perm.tpl
===================================================================
--- /trunk/template/yoga/admin/cat_perm.tpl	(revision 979)
+++ /trunk/template/yoga/admin/cat_perm.tpl	(revision 980)
@@ -1,5 +1,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:Manage permissions for a category}</h2>
Index: /trunk/template/yoga/admin/configuration.tpl
===================================================================
--- /trunk/template/yoga/admin/configuration.tpl	(revision 979)
+++ /trunk/template/yoga/admin/configuration.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_configuration}</h2>
Index: /trunk/template/yoga/admin/group_list.tpl
===================================================================
--- /trunk/template/yoga/admin/group_list.tpl	(revision 979)
+++ /trunk/template/yoga/admin/group_list.tpl	(revision 980)
@@ -21,6 +21,6 @@
     <td><a href="{group.U_MEMBERS}">{group.MEMBERS}</a></td>
     <td style="text-align:center;">
-      <a href="{group.U_PERM}"><img src="./template/yoga/theme/permissions.png" class="button" style="border:none" alt="permissions" title="{lang:permissions}" /></a>
-      <a href="{group.U_DELETE}"><img src="./template/yoga/theme/delete.png" class="button" style="border:none" alt="delete" title="{lang:delete}" /></a>
+      <a href="{group.U_PERM}"><img src="{themeconf:icon_dir}/permissions.png" class="button" style="border:none" alt="permissions" title="{lang:permissions}" /></a>
+      <a href="{group.U_DELETE}"><img src="{themeconf:icon_dir}/delete.png" class="button" style="border:none" alt="delete" title="{lang:delete}" /></a>
     </td>
   </tr>
Index: /trunk/template/yoga/admin/maintenance.tpl
===================================================================
--- /trunk/template/yoga/admin/maintenance.tpl	(revision 979)
+++ /trunk/template/yoga/admin/maintenance.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:Maintenance}</h2>
Index: /trunk/template/yoga/admin/picture_modify.tpl
===================================================================
--- /trunk/template/yoga/admin/picture_modify.tpl	(revision 979)
+++ /trunk/template/yoga/admin/picture_modify.tpl	(revision 980)
@@ -6,7 +6,7 @@
 <ul class="categoryActions">
   <!-- BEGIN jumpto -->
-  <li><a href="{jumpto.URL}" title="{lang:jump to image}"><img src="./template/yoga/theme/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li>
+  <li><a href="{jumpto.URL}" title="{lang:jump to image}"><img src="{themeconf:icon_dir}/category_jump-to.png" class="button" alt="{lang:jump to}" /></a></li>
   <!-- END jumpto -->
-  <li><a href="{U_SYNC}" title="{lang:synchronize metadata}"><img src="./template/yoga/theme/sync_metadata.png" class="button" alt="{lang:synchronize}" /></a></li>
+  <li><a href="{U_SYNC}" title="{lang:synchronize metadata}"><img src="{themeconf:icon_dir}/sync_metadata.png" class="button" alt="{lang:synchronize}" /></a></li>
 </ul>
 
Index: /trunk/template/yoga/admin/remote_site.tpl
===================================================================
--- /trunk/template/yoga/admin/remote_site.tpl	(revision 979)
+++ /trunk/template/yoga/admin/remote_site.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:remote_sites}</h2>
Index: /trunk/template/yoga/admin/thumbnail.tpl
===================================================================
--- /trunk/template/yoga/admin/thumbnail.tpl	(revision 979)
+++ /trunk/template/yoga/admin/thumbnail.tpl	(revision 980)
@@ -2,5 +2,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_thumbnails}</h2>
Index: /trunk/template/yoga/admin/update.tpl
===================================================================
--- /trunk/template/yoga/admin/update.tpl	(revision 979)
+++ /trunk/template/yoga/admin/update.tpl	(revision 980)
@@ -3,5 +3,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_update}</h2>
Index: /trunk/template/yoga/admin/user_list.tpl
===================================================================
--- /trunk/template/yoga/admin/user_list.tpl	(revision 979)
+++ /trunk/template/yoga/admin/user_list.tpl	(revision 980)
@@ -1,5 +1,5 @@
 <div class="titrePage">
   <ul class="categoryActions">
-    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="template/yoga/theme/help.png" class="button" alt="(?)"></a></li>
+    <li><a href="{U_HELP}" onclick="popuphelp(this.href); return false;" title="{lang:Help}"><img src="{themeconf:icon_dir}/help.png" class="button" alt="(?)"></a></li>
   </ul>
   <h2>{lang:title_liste_users}</h2>